ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Cannot bootstrap on JDK 1.1 any longer
Date Tue, 05 Feb 2002 09:42:27 GMT
Hi,

since bootstrap.sh has been changed to stop if command line javac
fails, it is impossible to bootstrap with JDK 1.1 - the reason is
NoExitSecurityManager which cannot be compiled for lack of
java.security.Permission.

Unlike all other classes that cannot be compiled with JDK 1.1, this
class is not outside the "plain" Ant tree.

What do we want to do here?  Options I see but don't like are changing
${TOOLS}/ant/*.java to explicitly list all files except
NoExitSecurityManager (not feasible IMHO) or changing bootstrap.sh to
ignore compilation errors as it did before.

The other option I see is moving NoExitSecurityManager somewhere where
bootstrap doesn't pick it up - but it has been at its place for seven
weeks now, so I'm not sure we can move it ;-)  Seriously, any problems
with moving it?

Stefan

--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>


Mime
View raw message